<!doctype html>
<html class="no-js" lang="fr">
  <head><meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width,initial-scale=1"/>
    <meta name="color-scheme" content="light dark"><meta name="generator" content="Docutils 0.19: https://docutils.sourceforge.io/" />
<link rel="index" title="Index" href="genindex.html" /><link rel="search" title="Recherche" href="search.html" /><link rel="next" title="Gestion de la documentation" href="dev_documentation.html" /><link rel="prev" title="Code quality" href="dev_code_quality.html" />

    <link rel="shortcut icon" href="_static/logo.png"/><!-- Generated with Sphinx 6.1.3 and Furo 2022.12.07 -->
        <title>Application ISA - Documentation Metark alpha</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/styles/furo.css?digest=91d0f0d1c444bdcb17a68e833c7a53903343c195" />
    <link rel="stylesheet" type="text/css" href="_static/styles/furo-extensions.css?digest=30d1aed668e5c3a91c3e3bf6a60b675221979f0e" />
    
    


<style>
  body {
    --color-code-background: #f8f8f8;
  --color-code-foreground: black;
  
  }
  @media not print {
    body[data-theme="dark"] {
      --color-code-background: #202020;
  --color-code-foreground: #d0d0d0;
  
    }
    @media (prefers-color-scheme: dark) {
      body:not([data-theme="light"]) {
        --color-code-background: #202020;
  --color-code-foreground: #d0d0d0;
  
      }
    }
  }
</style></head>
  <body>
    
    <script>
      document.body.dataset.theme = localStorage.getItem("theme") || "auto";
    </script>
    

<svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
  <symbol id="svg-toc" viewBox="0 0 24 24">
    <title>Contents</title>
    <svg stroke="currentColor" fill="currentColor" stroke-width="0" viewBox="0 0 1024 1024">
      <path d="M408 442h480c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H408c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm-8 204c0 4.4 3.6 8 8 8h480c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H408c-4.4 0-8 3.6-8 8v56zm504-486H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 632H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM115.4 518.9L271.7 642c5.8 4.6 14.4.5 14.4-6.9V388.9c0-7.4-8.5-11.5-14.4-6.9L115.4 505.1a8.74 8.74 0 0 0 0 13.8z"/>
    </svg>
  </symbol>
  <symbol id="svg-menu" viewBox="0 0 24 24">
    <title>Menu</title>
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none" stroke="currentColor"
      stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather-menu">
      <line x1="3" y1="12" x2="21" y2="12"></line>
      <line x1="3" y1="6" x2="21" y2="6"></line>
      <line x1="3" y1="18" x2="21" y2="18"></line>
    </svg>
  </symbol>
  <symbol id="svg-arrow-right" viewBox="0 0 24 24">
    <title>Expand</title>
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none" stroke="currentColor"
      stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather-chevron-right">
      <polyline points="9 18 15 12 9 6"></polyline>
    </svg>
  </symbol>
  <symbol id="svg-sun" viewBox="0 0 24 24">
    <title>Light mode</title>
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none" stroke="currentColor"
      stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="feather-sun">
      <circle cx="12" cy="12" r="5"></circle>
      <line x1="12" y1="1" x2="12" y2="3"></line>
      <line x1="12" y1="21" x2="12" y2="23"></line>
      <line x1="4.22" y1="4.22" x2="5.64" y2="5.64"></line>
      <line x1="18.36" y1="18.36" x2="19.78" y2="19.78"></line>
      <line x1="1" y1="12" x2="3" y2="12"></line>
      <line x1="21" y1="12" x2="23" y2="12"></line>
      <line x1="4.22" y1="19.78" x2="5.64" y2="18.36"></line>
      <line x1="18.36" y1="5.64" x2="19.78" y2="4.22"></line>
    </svg>
  </symbol>
  <symbol id="svg-moon" viewBox="0 0 24 24">
    <title>Dark mode</title>
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none" stroke="currentColor"
      stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="icon-tabler-moon">
      <path stroke="none" d="M0 0h24v24H0z" fill="none" />
      <path d="M12 3c.132 0 .263 0 .393 0a7.5 7.5 0 0 0 7.92 12.446a9 9 0 1 1 -8.313 -12.454z" />
    </svg>
  </symbol>
  <symbol id="svg-sun-half" viewBox="0 0 24 24">
    <title>Auto light/dark mode</title>
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none" stroke="currentColor"
      stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="icon-tabler-shadow">
      <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
      <circle cx="12" cy="12" r="9" />
      <path d="M13 12h5" />
      <path d="M13 15h4" />
      <path d="M13 18h1" />
      <path d="M13 9h4" />
      <path d="M13 6h1" />
    </svg>
  </symbol>
</svg>

<input type="checkbox" class="sidebar-toggle" name="__navigation" id="__navigation">
<input type="checkbox" class="sidebar-toggle" name="__toc" id="__toc">
<label class="overlay sidebar-overlay" for="__navigation">
  <div class="visually-hidden">Hide navigation sidebar</div>
</label>
<label class="overlay toc-overlay" for="__toc">
  <div class="visually-hidden">Hide table of contents sidebar</div>
</label>



<div class="page">
  <header class="mobile-header">
    <div class="header-left">
      <label class="nav-overlay-icon" for="__navigation">
        <div class="visually-hidden">Toggle site navigation sidebar</div>
        <i class="icon"><svg><use href="#svg-menu"></use></svg></i>
      </label>
    </div>
    <div class="header-center">
      <a href="index.html"><div class="brand">Documentation Metark alpha</div></a>
    </div>
    <div class="header-right">
      <div class="theme-toggle-container theme-toggle-header">
        <button class="theme-toggle">
          <div class="visually-hidden">Toggle Light / Dark / Auto color theme</div>
          <svg class="theme-icon-when-auto"><use href="#svg-sun-half"></use></svg>
          <svg class="theme-icon-when-dark"><use href="#svg-moon"></use></svg>
          <svg class="theme-icon-when-light"><use href="#svg-sun"></use></svg>
        </button>
      </div>
      <label class="toc-overlay-icon toc-header-icon" for="__toc">
        <div class="visually-hidden">Toggle table of contents sidebar</div>
        <i class="icon"><svg><use href="#svg-toc"></use></svg></i>
      </label>
    </div>
  </header>
  <aside class="sidebar-drawer">
    <div class="sidebar-container">
      
      <div class="sidebar-sticky"><a class="sidebar-brand" href="index.html">
  
  
  <span class="sidebar-brand-text">Documentation Metark alpha</span>
  
</a><form class="sidebar-search-container" method="get" action="search.html" role="search">
  <input class="sidebar-search" placeholder="Recherche" name="q" aria-label="Recherche">
  <input type="hidden" name="check_keywords" value="yes">
  <input type="hidden" name="area" value="default">
</form>
<div id="searchbox"></div><link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">

<a class="btn btn-primary" href="https://gitlab.com/ifb-elixirfr/fair/metark" role="button" style="margin:10px 5px 0px 5px;">Go back to Metark</a>

<br>
EXPORT

<div class="d-flex justify-content-center" aria-label="Btn export">
    <a class="btn btn-primary" href="_static/pdf/metark.pdf" role="button" style="margin:10px 5px 0px 5px;" target="_blank"><i class="fas fa-file-pdf"></i> PDF</a>
    <a class="btn btn-primary" href="_static/epub/metark.epub" role="button"  style="margin:10px 5px 0px 5px;" target="_blank"><i class="fas fa-book"></i> EPUB</a>
</div>

<br>
NAVIGATION<div class="sidebar-scroll"><div class="sidebar-tree">
  <p class="caption" role="heading"><span class="caption-text">Overview</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="overview_objectifs.html">Objectives</a></li>
<li class="toctree-l1"><a class="reference internal" href="overview_points_forts.html">Strengths of the project</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Developer's Manual</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="dev_requirements.html">Requirements</a></li>
<li class="toctree-l1"><a class="reference internal" href="dev_django.html">Django</a></li>
<li class="toctree-l1"><a class="reference internal" href="dev_code_quality.html">Code quality</a></li>
<li class="toctree-l1 current current-page"><a class="current reference internal" href="#">Application ISA</a></li>
<li class="toctree-l1"><a class="reference internal" href="dev_documentation.html">Gestion de la documentation</a></li>
</ul>

</div>
</div><script src="_static/js/all.min.js"></script>

<p>CONTACT</p>
<p class="fs-6">
   <a href="https://gitlab.com/ifb-elixirfr/fair/metark" target="_blank" style="color:#173b6c">Metark</a> is maintained by <a href="https://gitlab.com/ifb-elixirfr" target="_blank" style="color:#173b6c">IFB-ElixirFr</a>.
</p>
<p class="fs-6">
    Mail to <a href="mailto:mailto:support-metark@groupes.france" style="color:#173b6c">support</a>
</p>

<div class="d-flex flex-row justify-content-center" style="color:#173b6c">
    <div class="p-2"><a href="https://gitlab.com/ifb-elixirfr/" target="_blank" class="linkSocial"><i class="fab fa-gitlab"></i></a></div>
    <div class="p-2"><a href="https://twitter.com/IFB_Bioinfo" target="_blank" class="linkSocial"><i
            class="fab fa-twitter"></i></a></div>
    <div class="p-2"><a
            href="https://www.linkedin.com/company/institut-fran%C3%A7ais-de-bioinformatique/"
            target="_blank" class="linkSocial"><i class="fab fa-linkedin-in"></i></a></div>
    <div class="p-2"><a href="https://www.youtube.com/channel/UC-PWpzAklKLdjxtdHnkoeCw" target="_blank"
                        class="linkSocial"><i class="fab fa-youtube"></i></a></i></div>
</div>
      </div>
      
    </div>
  </aside>
  <div class="main">
    <div class="content">
      <div class="article-container">
        <a href="#" class="back-to-top muted-link">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
            <path d="M13 20h-2V8l-5.5 5.5-1.42-1.42L12 4.16l7.92 7.92-1.42 1.42L13 8v12z"></path>
          </svg>
          <span>Back to top</span>
        </a>
        <div class="content-icon-container">
          
<div class="theme-toggle-container theme-toggle-content">
            <button class="theme-toggle">
              <div class="visually-hidden">Toggle Light / Dark / Auto color theme</div>
              <svg class="theme-icon-when-auto"><use href="#svg-sun-half"></use></svg>
              <svg class="theme-icon-when-dark"><use href="#svg-moon"></use></svg>
              <svg class="theme-icon-when-light"><use href="#svg-sun"></use></svg>
            </button>
          </div>
          <label class="toc-overlay-icon toc-content-icon" for="__toc">
            <div class="visually-hidden">Toggle table of contents sidebar</div>
            <i class="icon"><svg><use href="#svg-toc"></use></svg></i>
          </label>
        </div>
        <article role="main">
          <section id="application-isa">
<h1>Application ISA<a class="headerlink" href="#application-isa" title="Lien permanent vers cette rubrique">#</a></h1>
<p>The Metark API is built from the Django REST framework whose official
website  is <a class="reference external" href="https://www.django-rest-framework.org/">available here</a>.</p>
<section id="how-to-add-an-api">
<h2>How to add an API?<a class="headerlink" href="#how-to-add-an-api" title="Lien permanent vers cette rubrique">#</a></h2>
<ol class="arabic simple">
<li><p>Step 1 - Create a serializer in the serializers.py</p></li>
<li><p>Step 2 - Create a view in <code class="code docutils literal notranslate"><span class="pre">view.py</span></code></p></li>
<li><p>Step 3 - Create a url to access the API in the <code class="code docutils literal notranslate"><span class="pre">ulrs.py</span></code> ;</p></li>
<li><p>Step 4 - Test the API in the <code class="code docutils literal notranslate"><span class="pre">test.py</span></code> file. Many examples are already available in the file.</p></li>
</ol>
<p>A complete example is available on the <a class="reference external" href="https://www.django-rest-framework.org/tutorial/1-serialization/">official documentation</a>
and APIs are already available in the application. They can help you in the structure
to follow.</p>
</section>
<section id="key-files-of-the-isa-application">
<h2>Key files of the « ISA » application<a class="headerlink" href="#key-files-of-the-isa-application" title="Lien permanent vers cette rubrique">#</a></h2>
<section id="module-apps.isa.apis">
<span id="api-py"></span><h3>api.py<a class="headerlink" href="#module-apps.isa.apis" title="Lien permanent vers cette rubrique">#</a></h3>
<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.AssayManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">AssayManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.apis.AssayManagement" title="Lien permanent vers cette définition">#</a></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.AssayManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span><a class="headerlink" href="#apps.isa.apis.AssayManagement.serializer_class" title="Lien permanent vers cette définition">#</a></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.AssaySerializer" title="apps.isa.serializers.AssaySerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">AssaySerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.CommentManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">CommentManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.apis.CommentManagement" title="Lien permanent vers cette définition">#</a></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.CommentManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span><a class="headerlink" href="#apps.isa.apis.CommentManagement.serializer_class" title="Lien permanent vers cette définition">#</a></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.CommentSerializer" title="apps.isa.serializers.CommentSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">CommentSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.ContactManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">ContactManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.apis.ContactManagement" title="Lien permanent vers cette définition">#</a></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.ContactManagement.pagination_class">
<span class="sig-name descname"><span class="pre">pagination_class</span></span><a class="headerlink" href="#apps.isa.apis.ContactManagement.pagination_class" title="Lien permanent vers cette définition">#</a></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.apis.CustomPagination" title="apps.isa.apis.CustomPagination"><code class="xref py py-class docutils literal notranslate"><span class="pre">CustomPagination</span></code></a></p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.ContactManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span><a class="headerlink" href="#apps.isa.apis.ContactManagement.serializer_class" title="Lien permanent vers cette définition">#</a></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.ContactSerializer" title="apps.isa.serializers.ContactSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">ContactSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.CustomPagination">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">CustomPagination</span></span><a class="headerlink" href="#apps.isa.apis.CustomPagination" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.ISAManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">ISAManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.apis.ISAManagement" title="Lien permanent vers cette définition">#</a></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.ISAManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span><a class="headerlink" href="#apps.isa.apis.ISAManagement.serializer_class" title="Lien permanent vers cette définition">#</a></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.ISAResumeSerializer" title="apps.isa.serializers.ISAResumeSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">ISAResumeSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.InvestigationDetail">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">InvestigationDetail</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.apis.InvestigationDetail" title="Lien permanent vers cette définition">#</a></dt>
<dd><dl class="py method">
<dt class="sig sig-object py" id="apps.isa.apis.InvestigationDetail.get_queryset">
<span class="sig-name descname"><span class="pre">get_queryset</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.apis.InvestigationDetail.get_queryset" title="Lien permanent vers cette définition">#</a></dt>
<dd><p>Get the list of items for this view.
This must be an iterable, and may be a queryset.
Defaults to using <cite>self.queryset</cite>.</p>
<p>This method should always be used rather than accessing <cite>self.queryset</cite>
directly, as <cite>self.queryset</cite> gets evaluated only once, and those results
are cached for all subsequent requests.</p>
<p>You may want to override this if you need to provide different
querysets depending on the incoming request.</p>
<p>(Eg. return a list of items that is specific to the user)</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.InvestigationDetail.pagination_class">
<span class="sig-name descname"><span class="pre">pagination_class</span></span><a class="headerlink" href="#apps.isa.apis.InvestigationDetail.pagination_class" title="Lien permanent vers cette définition">#</a></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.apis.CustomPagination" title="apps.isa.apis.CustomPagination"><code class="xref py py-class docutils literal notranslate"><span class="pre">CustomPagination</span></code></a></p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.InvestigationDetail.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span><a class="headerlink" href="#apps.isa.apis.InvestigationDetail.serializer_class" title="Lien permanent vers cette définition">#</a></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.InvestigationSerializer" title="apps.isa.serializers.InvestigationSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">InvestigationSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.PersonContactManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">PersonContactManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.apis.PersonContactManagement" title="Lien permanent vers cette définition">#</a></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.PersonContactManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span><a class="headerlink" href="#apps.isa.apis.PersonContactManagement.serializer_class" title="Lien permanent vers cette définition">#</a></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.PersonContactSerializer" title="apps.isa.serializers.PersonContactSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">PersonContactSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.PublicationManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">PublicationManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.apis.PublicationManagement" title="Lien permanent vers cette définition">#</a></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.PublicationManagement.pagination_class">
<span class="sig-name descname"><span class="pre">pagination_class</span></span><a class="headerlink" href="#apps.isa.apis.PublicationManagement.pagination_class" title="Lien permanent vers cette définition">#</a></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.apis.CustomPagination" title="apps.isa.apis.CustomPagination"><code class="xref py py-class docutils literal notranslate"><span class="pre">CustomPagination</span></code></a></p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.PublicationManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span><a class="headerlink" href="#apps.isa.apis.PublicationManagement.serializer_class" title="Lien permanent vers cette définition">#</a></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.PublicationSerializer" title="apps.isa.serializers.PublicationSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">PublicationSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.RoleManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">RoleManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.apis.RoleManagement" title="Lien permanent vers cette définition">#</a></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.RoleManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span><a class="headerlink" href="#apps.isa.apis.RoleManagement.serializer_class" title="Lien permanent vers cette définition">#</a></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.RoleSerializer" title="apps.isa.serializers.RoleSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">RoleSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.SearchForUsers">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">SearchForUsers</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.apis.SearchForUsers" title="Lien permanent vers cette définition">#</a></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.SearchForUsers.pagination_class">
<span class="sig-name descname"><span class="pre">pagination_class</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">None</span></em><a class="headerlink" href="#apps.isa.apis.SearchForUsers.pagination_class" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.SearchForUsers.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span><a class="headerlink" href="#apps.isa.apis.SearchForUsers.serializer_class" title="Lien permanent vers cette définition">#</a></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.UserSerializer" title="apps.isa.serializers.UserSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">UserSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.StudyManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">StudyManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.apis.StudyManagement" title="Lien permanent vers cette définition">#</a></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.StudyManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span><a class="headerlink" href="#apps.isa.apis.StudyManagement.serializer_class" title="Lien permanent vers cette définition">#</a></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.StudySerializer" title="apps.isa.serializers.StudySerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">StudySerializer</span></code></a></p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.apis.TagManagement">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.apis.</span></span><span class="sig-name descname"><span class="pre">TagManagement</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.apis.TagManagement" title="Lien permanent vers cette définition">#</a></dt>
<dd><dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.TagManagement.pagination_class">
<span class="sig-name descname"><span class="pre">pagination_class</span></span><a class="headerlink" href="#apps.isa.apis.TagManagement.pagination_class" title="Lien permanent vers cette définition">#</a></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.apis.CustomPagination" title="apps.isa.apis.CustomPagination"><code class="xref py py-class docutils literal notranslate"><span class="pre">CustomPagination</span></code></a></p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="apps.isa.apis.TagManagement.serializer_class">
<span class="sig-name descname"><span class="pre">serializer_class</span></span><a class="headerlink" href="#apps.isa.apis.TagManagement.serializer_class" title="Lien permanent vers cette définition">#</a></dt>
<dd><p>alias de <a class="reference internal" href="#apps.isa.serializers.TagSerializer" title="apps.isa.serializers.TagSerializer"><code class="xref py py-class docutils literal notranslate"><span class="pre">TagSerializer</span></code></a></p>
</dd></dl>

</dd></dl>

</section>
<section id="serializers-py">
<h3>serializers.py<a class="headerlink" href="#serializers-py" title="Lien permanent vers cette rubrique">#</a></h3>
<p>The Metark API is built from the Django REST framework. To format the results
returned by the API, serializers are created whose official documentation is
<a class="reference external" href="https://www.django-rest-framework.org/tutorial/1-serialization/">here</a> :</p>
<span class="target" id="module-apps.isa.serializers"></span><dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.AssayResumeSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">AssayResumeSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.AssayResumeSerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.AssaySerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">AssaySerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.AssaySerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.CommentSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">CommentSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.CommentSerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.ContactSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">ContactSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.ContactSerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.DataFileSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">DataFileSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.DataFileSerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.DesignTypeSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">DesignTypeSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.DesignTypeSerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.FactorSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">FactorSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.FactorSerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.ISAResumeSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">ISAResumeSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.ISAResumeSerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.InvestigationResumeSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">InvestigationResumeSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.InvestigationResumeSerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.InvestigationSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">InvestigationSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.InvestigationSerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.MeasurementTypeSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">MeasurementTypeSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.MeasurementTypeSerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.PersonContactSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">PersonContactSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.PersonContactSerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.ProtocolSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">ProtocolSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.ProtocolSerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.PublicationSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">PublicationSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.PublicationSerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.RoleSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">RoleSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.RoleSerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.StudyResumeSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">StudyResumeSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.StudyResumeSerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.StudySerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">StudySerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.StudySerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.TagSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">TagSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.TagSerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="apps.isa.serializers.UserSerializer">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">apps.isa.serializers.</span></span><span class="sig-name descname"><span class="pre">UserSerializer</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="o"><span class="pre">*</span></span><span class="n"><span class="pre">args</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#apps.isa.serializers.UserSerializer" title="Lien permanent vers cette définition">#</a></dt>
<dd></dd></dl>

</section>
<section id="module-apps.isa.tests">
<span id="test-py"></span><h3>test.py<a class="headerlink" href="#module-apps.isa.tests" title="Lien permanent vers cette rubrique">#</a></h3>
</section>
</section>
</section>

        </article>
      </div>
      <footer>
        
        <div class="related-pages">
          <a class="next-page" href="dev_documentation.html">
              <div class="page-info">
                <div class="context">
                  <span>Next</span>
                </div>
                <div class="title">Gestion de la documentation</div>
              </div>
              <svg class="furo-related-icon"><use href="#svg-arrow-right"></use></svg>
            </a>
          <a class="prev-page" href="dev_code_quality.html">
              <svg class="furo-related-icon"><use href="#svg-arrow-right"></use></svg>
              <div class="page-info">
                <div class="context">
                  <span>Previous</span>
                </div>
                
                <div class="title">Code quality</div>
                
              </div>
            </a>
        </div>
        <div class="bottom-of-page">
          <div class="left-details">
            <div class="copyright">
                Copyright &#169; 2023, IFB
            </div>
            Made with <a href="https://www.sphinx-doc.org/">Sphinx</a> and <a class="muted-link" href="https://pradyunsg.me">@pradyunsg</a>'s
            
            <a href="https://github.com/pradyunsg/furo">Furo</a>
            
          </div>
          <div class="right-details">
            
          </div>
        </div>
        
      </footer>
    </div>
    <aside class="toc-drawer">
      
      
      <div class="toc-sticky toc-scroll">
        <div class="toc-title-container">
          <span class="toc-title">
            On this page
          </span>
        </div>
        <div class="toc-tree-container">
          <div class="toc-tree">
            <ul>
<li><a class="reference internal" href="#">Application ISA</a><ul>
<li><a class="reference internal" href="#how-to-add-an-api">How to add an API?</a></li>
<li><a class="reference internal" href="#key-files-of-the-isa-application">Key files of the « ISA » application</a><ul>
<li><a class="reference internal" href="#module-apps.isa.apis">api.py</a><ul>
<li><a class="reference internal" href="#apps.isa.apis.AssayManagement"><code class="docutils literal notranslate"><span class="pre">AssayManagement</span></code></a><ul>
<li><a class="reference internal" href="#apps.isa.apis.AssayManagement.serializer_class"><code class="docutils literal notranslate"><span class="pre">AssayManagement.serializer_class</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#apps.isa.apis.CommentManagement"><code class="docutils literal notranslate"><span class="pre">CommentManagement</span></code></a><ul>
<li><a class="reference internal" href="#apps.isa.apis.CommentManagement.serializer_class"><code class="docutils literal notranslate"><span class="pre">CommentManagement.serializer_class</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#apps.isa.apis.ContactManagement"><code class="docutils literal notranslate"><span class="pre">ContactManagement</span></code></a><ul>
<li><a class="reference internal" href="#apps.isa.apis.ContactManagement.pagination_class"><code class="docutils literal notranslate"><span class="pre">ContactManagement.pagination_class</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.apis.ContactManagement.serializer_class"><code class="docutils literal notranslate"><span class="pre">ContactManagement.serializer_class</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#apps.isa.apis.CustomPagination"><code class="docutils literal notranslate"><span class="pre">CustomPagination</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.apis.ISAManagement"><code class="docutils literal notranslate"><span class="pre">ISAManagement</span></code></a><ul>
<li><a class="reference internal" href="#apps.isa.apis.ISAManagement.serializer_class"><code class="docutils literal notranslate"><span class="pre">ISAManagement.serializer_class</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#apps.isa.apis.InvestigationDetail"><code class="docutils literal notranslate"><span class="pre">InvestigationDetail</span></code></a><ul>
<li><a class="reference internal" href="#apps.isa.apis.InvestigationDetail.get_queryset"><code class="docutils literal notranslate"><span class="pre">InvestigationDetail.get_queryset()</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.apis.InvestigationDetail.pagination_class"><code class="docutils literal notranslate"><span class="pre">InvestigationDetail.pagination_class</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.apis.InvestigationDetail.serializer_class"><code class="docutils literal notranslate"><span class="pre">InvestigationDetail.serializer_class</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#apps.isa.apis.PersonContactManagement"><code class="docutils literal notranslate"><span class="pre">PersonContactManagement</span></code></a><ul>
<li><a class="reference internal" href="#apps.isa.apis.PersonContactManagement.serializer_class"><code class="docutils literal notranslate"><span class="pre">PersonContactManagement.serializer_class</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#apps.isa.apis.PublicationManagement"><code class="docutils literal notranslate"><span class="pre">PublicationManagement</span></code></a><ul>
<li><a class="reference internal" href="#apps.isa.apis.PublicationManagement.pagination_class"><code class="docutils literal notranslate"><span class="pre">PublicationManagement.pagination_class</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.apis.PublicationManagement.serializer_class"><code class="docutils literal notranslate"><span class="pre">PublicationManagement.serializer_class</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#apps.isa.apis.RoleManagement"><code class="docutils literal notranslate"><span class="pre">RoleManagement</span></code></a><ul>
<li><a class="reference internal" href="#apps.isa.apis.RoleManagement.serializer_class"><code class="docutils literal notranslate"><span class="pre">RoleManagement.serializer_class</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#apps.isa.apis.SearchForUsers"><code class="docutils literal notranslate"><span class="pre">SearchForUsers</span></code></a><ul>
<li><a class="reference internal" href="#apps.isa.apis.SearchForUsers.pagination_class"><code class="docutils literal notranslate"><span class="pre">SearchForUsers.pagination_class</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.apis.SearchForUsers.serializer_class"><code class="docutils literal notranslate"><span class="pre">SearchForUsers.serializer_class</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#apps.isa.apis.StudyManagement"><code class="docutils literal notranslate"><span class="pre">StudyManagement</span></code></a><ul>
<li><a class="reference internal" href="#apps.isa.apis.StudyManagement.serializer_class"><code class="docutils literal notranslate"><span class="pre">StudyManagement.serializer_class</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#apps.isa.apis.TagManagement"><code class="docutils literal notranslate"><span class="pre">TagManagement</span></code></a><ul>
<li><a class="reference internal" href="#apps.isa.apis.TagManagement.pagination_class"><code class="docutils literal notranslate"><span class="pre">TagManagement.pagination_class</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.apis.TagManagement.serializer_class"><code class="docutils literal notranslate"><span class="pre">TagManagement.serializer_class</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#serializers-py">serializers.py</a><ul>
<li><a class="reference internal" href="#apps.isa.serializers.AssayResumeSerializer"><code class="docutils literal notranslate"><span class="pre">AssayResumeSerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.AssaySerializer"><code class="docutils literal notranslate"><span class="pre">AssaySerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.CommentSerializer"><code class="docutils literal notranslate"><span class="pre">CommentSerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.ContactSerializer"><code class="docutils literal notranslate"><span class="pre">ContactSerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.DataFileSerializer"><code class="docutils literal notranslate"><span class="pre">DataFileSerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.DesignTypeSerializer"><code class="docutils literal notranslate"><span class="pre">DesignTypeSerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.FactorSerializer"><code class="docutils literal notranslate"><span class="pre">FactorSerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.ISAResumeSerializer"><code class="docutils literal notranslate"><span class="pre">ISAResumeSerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.InvestigationResumeSerializer"><code class="docutils literal notranslate"><span class="pre">InvestigationResumeSerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.InvestigationSerializer"><code class="docutils literal notranslate"><span class="pre">InvestigationSerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.MeasurementTypeSerializer"><code class="docutils literal notranslate"><span class="pre">MeasurementTypeSerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.PersonContactSerializer"><code class="docutils literal notranslate"><span class="pre">PersonContactSerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.ProtocolSerializer"><code class="docutils literal notranslate"><span class="pre">ProtocolSerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.PublicationSerializer"><code class="docutils literal notranslate"><span class="pre">PublicationSerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.RoleSerializer"><code class="docutils literal notranslate"><span class="pre">RoleSerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.StudyResumeSerializer"><code class="docutils literal notranslate"><span class="pre">StudyResumeSerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.StudySerializer"><code class="docutils literal notranslate"><span class="pre">StudySerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.TagSerializer"><code class="docutils literal notranslate"><span class="pre">TagSerializer</span></code></a></li>
<li><a class="reference internal" href="#apps.isa.serializers.UserSerializer"><code class="docutils literal notranslate"><span class="pre">UserSerializer</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#module-apps.isa.tests">test.py</a></li>
</ul>
</li>
</ul>
</li>
</ul>

          </div>
        </div>
      </div>
      
      
    </aside>
  </div>
</div><script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/sphinx_highlight.js"></script>
    <script src="_static/scripts/furo.js"></script>
    <script src="_static/translations.js"></script>
    </body>
</html>